<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="24dp"
    android:background="@drawable/background_shape_white_radius_12_top_only">

    <com.gh.gamecenter.common.view.titlebar.BottomSheetTitleView
        android:id="@+id/title_view"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:left_style="title"
        app:right_icon_color="@color/text_tertiary"
        app:right_icon_resource="@drawable/ic_basic_x_18"
        app:right_style="icon"
        app:title="@string/game_detail" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="72dp"
        android:layout_height="72dp"
        android:layout_marginTop="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_view" />

    <TextView
        android:id="@+id/tv_name"
        style="@style/TextHeadline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_icon"
        tools:text="原神" />

    <TextView
        android:id="@+id/tv_version"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:textColor="@color/text_secondary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        tools:text="版本: 11.45.2.0" />

    <TextView
        android:id="@+id/tv_developer"
        style="@style/TextCaption1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="24dp"
        android:layout_marginTop="8dp"
        android:gravity="center"
        android:textColor="@color/text_secondary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_version"
        tools:text="开发者：杭州阿里巴巴广告有限公司杭州阿里巴巴广告有限公司杭州阿里巴巴广告有限公司" />

    <Space
        android:id="@+id/space"
        android:layout_width="0dp"
        android:layout_height="16dp"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_developer" />

    <TextView
        android:id="@+id/tv_permissions"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/app_permissions"
        android:textColor="@color/text_theme"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintEnd_toStartOf="@id/v_line"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/space" />

    <View
        android:id="@+id/v_line"
        android:layout_width="1dp"
        android:layout_height="8dp"
        android:layout_marginStart="8dp"
        android:background="@color/text_theme"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintEnd_toStartOf="@id/tv_privacy_policy"
        app:layout_constraintStart_toEndOf="@id/tv_permissions"
        app:layout_constraintTop_toTopOf="@id/space" />

    <TextView
        android:id="@+id/tv_privacy_policy"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:text="@string/setting_privacy_policy"
        android:textColor="@color/text_theme"
        app:layout_constraintBottom_toBottomOf="@id/space"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/v_line"
        app:layout_constraintTop_toTopOf="@id/space"
        app:layout_goneMarginStart="0dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/detail_ll_bottom"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginHorizontal="24dp"
        android:layout_marginTop="24dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_privacy_policy">

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/detail_progressbar"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            app:download_button_show_progress="true"
            app:download_button_text_size="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/multiVersionDownloadTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="@dimen/primary_text_size"
            android:visibility="gone"
            app:drawableEndCompat="@drawable/ic_jump_universal"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/detail_progressbar"
            app:layout_constraintEnd_toEndOf="@id/detail_progressbar"
            app:layout_constraintStart_toStartOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@id/detail_progressbar"
            tools:text="选择下载你的版本" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/downloadTipsLottie"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="-8dp"
            android:layout_marginRight="8dp"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@+id/detail_progressbar"
            app:lottie_autoPlay="false"
            app:lottie_loop="true"
            app:lottie_repeatMode="restart" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>